export declare const pluginNameMap: {
    readonly PluginTerminal: "PluginTerminal";
    readonly PluginNpmScripts: "PluginNpmScripts";
    readonly PluginReadme: "PluginReadme";
    readonly PluginCodeCoverage: "PluginCodeCoverage";
    readonly PluginDependencies: "PluginDependencies";
};
export declare type TPluginName = keyof typeof pluginNameMap;
export declare class Config {
    private _imports;
    private _tabs;
    private _port;
    constructor({ port }: {
        port: number;
    });
    addPlugin: <O = any>(tabName: string, name: "PluginTerminal" | "PluginNpmScripts" | "PluginReadme" | "PluginCodeCoverage" | "PluginDependencies", options?: O | undefined) => void;
    readonly tabs: {
        title: string;
        rows: string[][];
    }[];
    readonly tabsString: string;
    readonly imports: string;
    toString(): string;
}
